%define name 	lives
%define version 0.8.1
%define release 4mdk

Summary: 	Linux Video Editing System
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	LiVES-%version-src.tar.bz2
URL: 		http://www.xs4all.nl/~salsaman/lives
License: 	GPL
Group: 		Video
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires: 	pkgconfig libgtk+2.0-devel gettext gdk-pixbuf-devel
BuildRequires:  libgtk+-x11-2.0-devel automake1.7 ImageMagick
Requires:	xmms mplayer mencoder sox ImageMagick cdrecord-cdda2wav ffmpeg

%description
The Linux Video Editing System (LiVES) is intended to be a simple yet powerful
video effects and editing system.  It uses common tools for most of its work
(mplayer, ImageMagick, GTK+, sox).

%prep
%setup -n LiVES-%version -q
for i in COPYING missing mkinstalldirs
do
	rm -f $i
	cp /usr/share/automake-1.7/$i .
done

%build
%configure
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall
cp smogrify midistart midistop $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name/plugins
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name/themes
tar xfz lives-themes*.tar.gz -C $RPM_BUILD_ROOT/%_datadir/%name/themes
tar xf lives-encoder-plugins.tar -C $RPM_BUILD_ROOT/%_datadir/%name/plugins
cd $RPM_BUILD_ROOT/%_datadir/%name/themes
rm -fr `find -name '.xvpics'`
cd $RPM_BUILD_ROOT/%_bindir
ln -s lives-exe lives

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
(cd $RPM_BUILD_ROOT
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
needs="x11"\
section="Multimedia/Video"\
title="LiVES"\
longtitle="GTK2 Video Editing System"\
command="lives-exe"\
icon="video_section.png"
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun 
%{clean_menus}

%files
%defattr(-,root,root,0755)
%doc AUTHORS BUGS C* FEATURES GETTING* NEWS README
%_bindir/*
%_datadir/%name
%_menudir/%name

%changelog
* Sat Dec 6 2003 Austin Acton <austin@linux.ca> 0.8.1-4mdk
- grrr, cdrecord-cdda2wav

* Mon Dec 1 2003 Austin Acton <austin@linux.ca> 0.8.1-3mdk
- requires ffmpeg and cdda2wav

* Mon Dec 1 2003 Austin Acton <austin@linux.ca> 0.8.1-2mdk
- update themes, use included tarball
- add symlink
- remove hidden files

* Wed Nov 26 2003 Austin Acton <austin@linux.ca> 0.8.1-1mdk
- 0.8.1

* Mon Sep 8 2003 Austin Acton <aacton@yorku.ca> 0.7.5-2mdk
- make sure plugins get installed (Olivier Blin)
- fix buildrequires

* Fri Sep 5 2003 Austin Acton <aacton@yorku.ca> 0.7.5-1mdk
- 0.7.5

* Mon Aug 18 2003 Austin Acton <aacton@yorku.ca> 0.7.1-1mdk
- 0.7.1
- add themes
- update description

* Thu Jun 26 2003 Austin Acton <aacton@yorku.ca> 0.6.5-1mdk
- 0.6.5

* Mon Jun 23 2003 Austin Acton <aacton@yorku.ca> 0.6.0-1mdk
- 0.6.0

* Fri May 30 2003 Austin Acton <aacton@yorku.ca> 0.5.5-1mdk
- 0.5.5
- update description

* Sat Apr 26 2003 Austin Acton <aacton@yorku.ca> 0.5.0-1mdk
- 0.5.0
- relink automake tools

* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.4.5-1mdk
- 0.4.5

* Mon Jan 27 2003 Austin Acton <aacton@yorku.ca> 0.4.0-1mdk
- bump version

* Wed Jan 15 2003 Austin Acton <aacton@yorku.ca> 0.3.6-1mdk
- 0.3.6

* Wed Jan 08 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- initial package
